
if exist ..\orgImg\pe.img  goto PEIMGExist

echo file orgImg\pe.img must exist to continue.
pause
exit

:PEIMGExist

if exist ..\orgImg\SLUS_006.62  goto SLUSExist

echo file orgImg\SLUS_006.62 must exist to continue.
pause
exit

:SLUSExist

if not exist etemp  mkdir etemp

echo Extracting header

fcopy -ep  ..\orgImg\SLUS_006.62  PE.hdr  0x838D4  0x84980

echo Extracting data
pe1img -e -d PE.hdr ..\orgImg\pe.img  etemp\


echo Extracting DB files
if not exist etempDb0  mkdir etempDb0
pe1db  -e -t  etemp\0\*.db  etempDb0\

if not exist etempDb2  mkdir etempDb2
pe1db  -e -t  etemp\2\*.db  etempDb2\


echo Removing duplicited files
call copySingeles7.bat


if not exist ..\extracted  mkdir ..\extracted
echo Extracting main texts
if not exist ..\extracted\dlgmain  mkdir ..\extracted\dlgmain

for %%i in (etempDb2\7s\*7??1.7) do (
    fcopy -t !pes.tbs %%i  ..\extracted\dlgmain\%%~ni.txt
)

rem if not exist ..\extracted\dlgjap  mkdir ..\extracted\dlgjap
rem for %%i in (etempDb2\7s\*7??0.7) do (
rem    fcopy -t !pes.tbs %%i  ..\extracted\dlgjap\%%~ni.txt
rem )


echo Extractiog others
call extractOthers.bat

call extractSlus.bat

echo Extracting graphic
call extractGraphic.bat

call extractBackground.bat

